libusermetrics

Classes | Namespaces | Typedefs | Enumerations
Metric.h File Reference
`#include <libusermetricsinput/MetricUpdate.h>`
`#include <QtCore/QSharedPointer>`
Include dependency graph for Metric.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | UserMetricsInput::Metric
| This class represents a single user metric. More...

## Namespaces
| UserMetricsInput
| The user metrics input library namespace.

## Typedefs
typedef QSharedPointer< Metric > | UserMetricsInput::MetricPtr

## Enumerations
enum | UserMetricsInput::MetricType { UserMetricsInput::USER, UserMetricsInput::SYSTEM }